using System.Text.Json.Serialization;

namespace OllamaService.Models
{
    public class OllamaRequest
    {
        [JsonPropertyName("model")]
        public string Model { get; set; } = "";

        [JsonPropertyName("prompt")]
        public string Prompt { get; set; } = "";

        [JsonPropertyName("images")]
        public List<string> Images { get; set; } = new();

        [JsonPropertyName("stream")]
        public bool Stream { get; set; } = false;

        [JsonPropertyName("temperature")]
        public double Temperature { get; set; } = 0.01;

        [JsonPropertyName("top_p")]
        public double Top_p { get; set; } = 0.9;

        [JsonPropertyName("max_tokens")]
        public int Max_tokens { get; set; } = 400;

    }

    public class OllamaResponse
    {
        [JsonPropertyName("response")]
        public string Completion { get; set; } = "";
    }
}
